import { NotificationRule } from './notification-rule';
import { NewNotificationRule, NotificationRulePatch } from './notification-rule-type';
export declare class NotificationRuleMutation {
    createNotificationRule(notificationRule: NewNotificationRule, context: ResolverContext): Promise<NotificationRule>;
    updateNotificationRule(id: string, patch: NotificationRulePatch, context: ResolverContext): Promise<NotificationRule>;
    updateMultipleNotificationRule(patches: NotificationRulePatch[], context: ResolverContext): Promise<NotificationRule[]>;
    deleteNotificationRule(id: string, context: ResolverContext): Promise<boolean>;
    deleteNotificationRules(ids: string[], context: ResolverContext): Promise<boolean>;
    importNotificationRules(notificationRules: NotificationRulePatch[], context: ResolverContext): Promise<boolean>;
}
